<?php

$translate = function ($str) {
	$month = $str;
	switch($str)
	{
		case '01': $month = 'Styczeń'; break;
		case '02': $month = 'Luty'; break;
		case '03': $month = 'Marzec'; break;
		case '04': $month = 'Kwiecień'; break;
		case '05': $month = 'Maj'; break;
		case '06': $month = 'Czerwiec'; break;
		case '07': $month = 'Lipiec'; break;
		case '08': $month = 'Sierpień'; break;
		case '09': $month = 'Wrzesień'; break;
		case '10': $month = 'Październik'; break;
		case '11': $month = 'Listopad'; break;
		case '12': $month = 'Grudzień'; break;
	}
	return $month;
}

?>

<?php if (!empty($items)): ?>
	<table class="table hover-rows">
		<thead>
		<tr>
			<th>Miesiąc</th>
			<th>Nrewid</th>
			<th>Imie Nazwisko</th>
			<th class="text-right no-sortable"></th>
		</tr>
		</thead>
		<tbody>
		<?php foreach ($items as $k => $item):

			$dataAndTime = explode("T", $item['bMiesiac']);
			$mount = substr($dataAndTime[0], 5, 2);

			?>
			<tr data-status="">
				<td class="text-align: left"><?php echo $translate($mount); ?></td>
				<td style="text-align: left"><?php echo $item['bNrewid']; ?></td>
				<td style="text-align: left"><?php echo empty($item['bNazwiskoIImie']) ? " ------ " :  $item['bNazwiskoIImie']; ?></td>
				<td class="text-right table-actions">
					<a rel="tooltip" data-placement="left" title="Edytuj kartę rcp" class="btn btn-primary card_rcp_edit" data-gid="<?php echo $item['bGid']; ?>" data-nrewid="<?php echo $item['bNrewid']; ?>">
						<i class="fa fa-pencil"></i>
					</a>
					<a rel="tooltip" data-placement="left" title="Usuń kartę rcp" class="btn btn-danger card_rcp_remove" data-gid="<?php echo $item['bGid']; ?>" data-nrewid="<?php echo $item['bNrewid']; ?>">
						<i class="fa fa-remove"></i>
					</a>
				</td>
			</tr>
		<?php endforeach; ?>
		</tbody>
	</table>
<?php else: ?>
	<div class="no-data" style="min-height: 300px;"><p>Brak danych</p></div>
<?php endif; ?>

<?php echo $this->element('alert_close'); ?>
